#pragma once
#include "Motor.h"

ref class Auto
{
private:
	Motor ^motor;
	int geschw_max;
	int geschwindigkeit;

public:
	Auto(void);
	Auto(int hoechstgeschw, int geschw);

	property int Geschwindigkeit
	{
		int get();
		void set(int geschw);
	}

	property int Hoechstgeschwindigkeit
	{
		int get();      
	}

	void beschleunigen(int b);
	void bremsen();
};

